Description

Supportanfrage

wir haben leider Probleme, auf unserem Audi-Client ein Plugin für ADTF3 zu kompilieren. Da wir sehr lange auf die Installation von

Visual-Studio warten mussten, haben wir zuerst auf einem Rechner von uns mit Visual Studio 2019 probiert, ein einfaches Plugin

aus der Dokumentation zu kompilieren. Das Kompilieren war möglich, allerdings konnte mangels Lizenz natürlich keine Description

erzeugt werden.

Da wir nun unsere Visual Studio 2017 Installation auf dem Audi-Client haben, wollten wir dort das gleiche probieren. Allerdings dort

beim Configure in CMake folgende Fehlermeldung auf: unknown CMake command adtf_add_filter

Wie es aussieht ist auch der Entry ADTF_DIR fehlerhaft. -> mit SET in Cmakelist.txt und manuelle Eingabe haben allerdings nicht

funktioniert.

Umgebungsvariablen zuzufügen, haben wir auch getestet -> erfolglos

Quellcode, Cmakelist.txt und theoretisch auch alle Einstellungen sollten auf beiden Rechnern identisch sein.

Wir haben euch einen Screenshot, die CMakeLists.txt und den CMake-Log angehängt.

Woran kann das Problem liegen?

Installierte Software

Unser Rechner:

ADTF 3 (ohne Lizenz), CMake, Visual Studio 2019

Audi Rechner:

ADTF 3 (mit Lizenz), CMake gleicher Version, Visual Studio 2017

Lösung

Die neuesten CMake Versionen setzen den 64Bit Generator nicht mehr per default, warum weiß ich nicht.

Deshalb sucht er nach einen 32Bit ADTF, deshalb auch die Fehlermeldung seitens CMake...

Bitte noch x64 beim CMake Generator für VS2017 setzen.

Siehe auch #10085

Related issues:

Related to Public Support - Support Request #10085: CMake Error in Guides (My... Closed

Related to Public Support - Support Request #10572: Recompile examples which ... Closed

History

#1 - 2020-02-06 18:35 - hidden

- Related to Support Request #10085: CMake Error in Guides (MyFirstFilter) added

#2 - 2020-02-06 18:35 - hidden

- Project changed from Public Support to 11

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Common

- Customer set to AUDI
Hallo Franz,

die neuesten CMake Versionen setzen den 64Bit Generator nicht mehr per default, warum weiß ich nicht.

Deshalb sucht er nach einen 32Bit ADTF, deshalb auch die Fehlermeldung seitens CMake...

Bitte noch x64 beim CMake Generator für VS2017 setzen.

Siehe auch #10085

#3 - 2020-02-13 14:38 - hidden

- Subject changed from Erstellung ADTF3 Plugin Plugin mit VS2017 to Cmake failed using Generator for VS2017

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to No Customer Feedback

#4 - 2020-02-25 15:43 - hidden

- Related to Support Request #10572: Recompile examples which requires ifhd added

#7 - 2020-07-07 13:49 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No

#8 - 2020-07-07 16:40 - hidden

- Status changed from To Be Closed to Closed

Files

CMakeLists.txt 1.23 KB 2020-02-06 hidden

FailedCMake.PNG 52.8 KB 2020-02-06 hidden

CMakeOutput.log 11.5 KB 2020-02-06 hidden
